#### Artery
###### Тестирование модулей первого образца
- [x] Ethernet
- [x] DEBUG UART
- [x] SPI FLASH
- [x] Сдвиговые регистры (LED)
- [x] Сдвиговые регистры (UART)
- [x] Artery FLASH
- [x] USB
- [x] RTC
- [ ] ADC
	- [x] АКБ (PB1 - IN9) 
	- [x] Напряжение 220 (PC0 - IN10)
	- [ ] Ревизии
	- [x] Внутренний датчик температуры (IN16)
- [x] GPIO
	- [x] GSM 
	- [x] SIM switch
	- [x] IN/OUT
	- [x] 1 - wire
	- [x] WDI
- [x] LED
	- [x] LED "Сервер" (green + red)
	- [x] LED "Состояние" (green + red)
	- [x] LEDs "Уровень сигнала" (4 штуки)
- [x] UART
	 - [x] RS485_1
	 - [x] RS485_2
	 - [x] RS232_1
	 - [x] RS232_2
	 - [x] GSM_UART
	 - [x] Система параллельной диспетчеризации
		 - [x] RS232_1 - RS232_2
		- [x] RS485_1 - RS232_2
		- [x] RS232_1 - RS485_2
		- [x] RS485_1 - RS485_2



###### JTAG	 
![[ARM_JTAG_SWD_Header.png]]
###### Ethernet
PC_1 - DC (+)
PA_2 - DIO (+)
PA_1 - EINT (+)
PA_7 - CRSDV (+)
PC_4 - RXD0 (+)
PC_5 - RXD1 (+)
PB_11 - TXEN (+)
PB_12 - TXD0 (+)
PB_13 - TXD1 (+)
PA_8 - MCO (+)
PE_13 - EnRST

#define PHY_ADDRESS (0x01)
#define PHY_CONTROL_REG (0x00)
#define PHY_STATUS_REG (0x01)
  
![[phy_reg1.PNG]]

Для получения тактового сигнала для ethernet PHY 25 МГц необходимо снизить тактовую частоту контроллера до 200 МГц.

###### SPI Flash MX25L1606EM
SPI_nCS - PA_15
SPI_SCK - PB_3
SPI_MISO - PB_4
SPI_MOSI - PB_5

SPI_3 - default multi-function
SPI тактируется от шины APB через делитель /2. В нашем случае частота тактирования SPI - 100МГц.
![[spi_flash_mx25L1606.PNG]]

###### LEDs
Метролог (stm32):
- LED Green GPIOE_0
- LED Red GPIOE_1

###### UART
Метролог М3 с stm32:
- UART_1 - Debug PB_6 - Tx, PB_7 - Rx
- UART_2 - GMS модуль PD_5 - Tx, PD_6 - Rx
- UART_3 - RS485_2 PD_8 - Tx, PD_9 - Rx
- UART_4 - RS232_1 PC_10 - Tx, PC_11 - Rx
- UART_5 - RS232_2 PC_12 - Tx, PD_2 - Rx
 
Метролог М3 с at32, внешние порты RS232 и RS485:
- UART_7 - RS485_1 PE_8 - Tx, PE_7 - Rx
- UART_3 - RS485_2 PD_8 - Tx, PD_9 - Rx (Remap)
- UART_4 - RS232_1 PC_10 - Tx, PC_11 - Rx 
- UART_5 - RS232_2 PC_12 - Tx, PD_2 - Rx

USART для связи с GSM модемом:
- USART_2 - GSM, PD_5 - Tx, PD_6 - Rx (Remap)

###### GSM
- DTR - PE_2
- GSMPOK - PC_2
- GSMRST - PE_3

###### Тестирование одного из трех образцов
- [x] Ethernet
- [x] DEBUG UART
- [x] SPI FLASH
- [x] Сдвиговые регистры (LED)
- [ ] Сдвиговые регистры (UART)
- [x] Artery FLASH
- [x] USB
- [x] RTC
- [x] ADC
	- [x] АКБ (PB1 - IN9) 
	- [x] Напряжение 220 (PC0 - IN10)
	- [x] Ревизия MB (0.6V)
	- [x] Ревизия DB
	- [x] Внутренний датчик температуры (IN16)
- [x] GPIO
	- [x] GSM 
	- [x] SIM switch
	- [x] IN/OUT
	- [x] 1 - wire
	- [x] WDI
- [x] LED
	- [x] LED "Сервер" (green + red)
	- [x] LED "Состояние" (green + red)
	- [x] LEDs "Уровень сигнала" (4 штуки)
- [ ] UART
	 - [ ] RS485_1
	 - [ ] RS485_2
	 - [ ] RS232_1
	 - [ ] RS232_2
	 - [ ] GSM_UART
	 - [ ] Система параллельной диспетчеризации
		 - [ ] RS232_1 - RS232_2
		- [ ] RS485_1 - RS232_2
		- [ ] RS232_1 - RS485_2
		- [ ] RS485_1 - RS485_2
